List a donation's history
curl --request GET \
--url https://{organization}.rescueconsole.com/api/fundraising/donations/{id}/activity \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/fundraising/donations/{id}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/fundraising/donations/{id}/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"action": "create",
"actor_type": "<string>",
"actor_id": "<string>",
"diff": {},
"snapshot": {},
"occurred_at": "2023-11-07T05:31:56Z"
}
],
"limit": 123,
"offset": 123,
"has_more": true
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Donations
List a donation's history
Every change to the donation, newest first: when it was recorded, each change with the values before and after, and its deletion. Needs read on Fundraising.
GET
/
api
/
fundraising
/
donations
/
{id}
/
activity
List a donation's history
curl --request GET \
--url https://{organization}.rescueconsole.com/api/fundraising/donations/{id}/activity \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/fundraising/donations/{id}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/fundraising/donations/{id}/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"action": "create",
"actor_type": "<string>",
"actor_id": "<string>",
"diff": {},
"snapshot": {},
"occurred_at": "2023-11-07T05:31:56Z"
}
],
"limit": 123,
"offset": 123,
"has_more": true
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Path Parameters
The donation's ID.
Query Parameters
How many to return. 25 unless you say, 100 at most.
Required range:
1 <= x <= 100How many to skip, for the next page.
Required range:
x >= 0